## libsodium 1.0.8

=== examples/Makefile ===

TARGETS = \
	auth \
	box \
	box_detached \
	generichash \
	generichash_stream \
	shorthash \
	sign

SODIUM_CFLAGS != pkg-config --cflags libsodium
SODIUM_LIBS != pkg-config --libs libsodium
CFLAGS += $(SODIUM_CFLAGS)
LDFLAGS += $(SODIUM_LIBS)

all: $(TARGETS)

clean:
	rm -f $(TARGETS)

distclean: clean

## libsodium 1.0.0

=== debian/changelog ===
libsodium (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #701962: ITP: libsodium -- Library for
    build higher-level cryptographic tools)

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Oct 2014 18:54:15 +0000

=== debian/control ===
Source: libsodium
Section: libs
Priority: optional
Build-Depends: debhelper ( >= 9), pkg-config, dh-autoreconf
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>
Standards-Version: 3.9.6
Vcs-Hg: http://trismegisto.no-ip.org/hg/libsodium-debian
Vcs-Browser: http://trismegisto.no-ip.org/hg/libsodium-debian
Homepage: http://www.libsodium.org/

Package: libsodium13
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: Network communication, cryptography and signaturing library
 NaCl (pronounced "salt") is a new easy-to-use high-speed software library for
 network communication, encryption, decryption, signatures, etc.
 .
 NaCl's goal is to provide all of the core operations needed to build
 higher-level cryptographic tools.
 .
 Sodium is a portable, cross-compilable, installable, packageable fork of NaCl,
 with a compatible API.

Package: libsodium-dev
Section: libdevel
Depends: ${misc:Depends}, libsodium13 (= ${binary:Version})
Architecture: any
Multi-Arch: same
Description: Network communication, cryptography and signaturing library - headers
 NaCl (pronounced "salt") is a new easy-to-use high-speed software library for
 network communication, encryption, decryption, signatures, etc.
 .
 NaCl's goal is to provide all of the core operations needed to build
 higher-level cryptographic tools.
 .
 Sodium is a portable, cross-compilable, installable, packageable fork of NaCl,
 with a compatible API.
 .
 This package provides development headers needed for applications that use
 libsodium.

Package: libsodium-dbg
Section: debug
Priority: extra
Depends: ${misc:Depends}, libsodium13 (= ${binary:Version})
Architecture: any
Multi-Arch: same
Description: Network communication, cryptography and signaturing library - debug symbols
 NaCl (pronounced "salt") is a new easy-to-use high-speed software library for
 network communication, encryption, decryption, signatures, etc.
 .
 NaCl's goal is to provide all of the core operations needed to build
 higher-level cryptographic tools.
 .
 Sodium is a portable, cross-compilable, installable, packageable fork of NaCl,
 with a compatible API.
 .
 This package provides debugging symbols needed to debug libsodium itself.

## libsodium 1.0.1

=== debian/changelog ===
libsodium (1.0.1-1) unstable; urgency=medium

  * New upstream release with important bugfixes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Nov 2014 13:52:08 +0000

## libsodium 1.0.3

=== debian/changelog ===
libsodium (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Update libsodium13.symbols .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 May 2015 21:17:39 +0000

## libsodium 1.0.8

=== debian/changelog ===
libsodium (1.0.8-5) unstable; urgency=low

  * Last bits of architecture specific symbols (closes: #813756).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 05 Feb 2016 02:53:09 +0100

libsodium (1.0.8-4) unstable; urgency=low

  * Mark more {,kfreebsd-}amd64, {,kfreebsd-}i386 and x32 symbols as-is.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Feb 2016 21:05:01 +0100

libsodium (1.0.8-3) unstable; urgency=low

  * Upload to Sid for starting the package transition.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Feb 2016 19:06:05 +0100

libsodium (1.0.8-2) experimental; urgency=low

  * Mark amd64 only symbols as-is.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Jan 2016 10:20:09 +0100

libsodium (1.0.8-1) experimental; urgency=low

  * New upstream release.
  * Library transition to version 18 of soname.
  * Update libsodium18.symbols .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Jan 2016 09:39:46 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Browser: http://trismegisto.no-ip.org/hg/libsodium-debian
 Homepage: http://www.libsodium.org/
 
-Package: libsodium13
+Package: libsodium18
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
@@ -26,7 +26,7 @@
 
 Package: libsodium-dev
 Section: libdevel
-Depends: ${misc:Depends}, libsodium13 (= ${binary:Version})
+Depends: ${misc:Depends}, libsodium18 (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Description: Network communication, cryptography and signaturing library - headers
@@ -45,7 +45,7 @@
 Package: libsodium-dbg
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libsodium13 (= ${binary:Version})
+Depends: ${misc:Depends}, libsodium18 (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Description: Network communication, cryptography and signaturing library - debug symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_strip:
	dh_strip --dbg-package=libsodium-dbg

%:
	dh $@ --with autoreconf -Bbuild --parallel

.PHONY: override_dh_strip

=== debian/watch ===
version=3
opts="filenamemangle=s/^.*\/(.*)/libsodium-$1/" \
	https://github.com/jedisct1/libsodium/tags .*/(\d[\d\.]*)\.tar\.gz

## libsodium 1.0.10

=== debian/changelog ===
libsodium (1.0.10-1) unstable; urgency=low

  * New upstream release, hides assembly symbols on amd64.
  * Update libsodium18.symbols .
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 15 Apr 2016 16:07:32 +0000

## libsodium 1.0.11

=== debian/changelog ===
libsodium (1.0.11-2) unstable; urgency=medium

  * Remove Raúl Sánchez Siles from uploaders per his request.
  * Update VCS location (closes: #859315).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Apr 2017 10:14:04 +0000

libsodium (1.0.11-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 19 Aug 2016 17:00:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Build-Depends: debhelper ( >= 9), pkg-config, dh-autoreconf
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>
-Standards-Version: 3.9.6
-Vcs-Hg: http://trismegisto.no-ip.org/hg/libsodium-debian
-Vcs-Browser: http://trismegisto.no-ip.org/hg/libsodium-debian
+Standards-Version: 3.9.8
+Vcs-Git: git://github.com/gcsideal/debian-libsodium
+Vcs-Browser: https://github.com/gcsideal/debian-libsodium
 Homepage: http://www.libsodium.org/
 
 Package: libsodium18

## libsodium 1.0.13

=== debian/changelog ===
libsodium (1.0.13-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 03 Aug 2017 00:53:53 +0900

libsodium (1.0.13-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 03 Aug 2017 00:52:39 +0900

libsodium (1.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Remove dh-autoreconf build dependency.
  * Update libsodium18.symbols .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 24 Jul 2017 20:03:09 +0000

libsodium (1.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Jul 2017 18:33:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libsodium
 Section: libs
 Priority: optional
-Build-Depends: debhelper ( >= 9), pkg-config, dh-autoreconf
+Build-Depends: debhelper ( >= 10), pkg-config
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: git://github.com/gcsideal/debian-libsodium
 Vcs-Browser: https://github.com/gcsideal/debian-libsodium
 Homepage: http://www.libsodium.org/

## libsodium 1.0.16

=== debian/changelog ===
libsodium (1.0.16-2) unstable; urgency=medium

  * Upload to Sid for starting the package transition.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 Dec 2017 10:09:42 +0000

libsodium (1.0.16-1) experimental; urgency=medium

  * New upstream release.
  * Update libsodium23.symbols .
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.2:
    - remove libsodium-dbg package and use the auto-generated one.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Dec 2017 19:25:34 +0000

libsodium (1.0.15-2) experimental; urgency=medium

  * Update copyright to match current upstream source (closes: #878539).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Oct 2017 17:50:26 +0000

libsodium (1.0.15-1) experimental; urgency=medium

  * New upstream release:
    - the aes128ctr primitive was removed.
  * Library transition to version 23 of soname.
  * Update libsodium23.symbols .
  * Update Standards-Version to 4.1.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Oct 2017 18:01:13 +0000

libsodium (1.0.14-1) unstable; urgency=medium

  * New upstream release.
  * Update libsodium18.symbols .
  * Update Standards-Version to 4.1.0:
    - change libsodium-dbg priority to optional.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 Sep 2017 18:24:04 +0000

=== debian/control ===
Source: libsodium
Section: libs
Priority: optional
Build-Depends: debhelper ( >= 11), pkg-config
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.1.2
Vcs-Git: git://github.com/gcsideal/debian-libsodium
Vcs-Browser: https://github.com/gcsideal/debian-libsodium
Homepage: http://www.libsodium.org/

Package: libsodium23
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: Network communication, cryptography and signaturing library
 NaCl (pronounced "salt") is a new easy-to-use high-speed software library for
 network communication, encryption, decryption, signatures, etc.
 .
 NaCl's goal is to provide all of the core operations needed to build
 higher-level cryptographic tools.
 .
 Sodium is a portable, cross-compilable, installable, packageable fork of NaCl,
 with a compatible API.

Package: libsodium-dev
Section: libdevel
Depends: ${misc:Depends}, libsodium23 (= ${binary:Version})
Architecture: any
Multi-Arch: same
Description: Network communication, cryptography and signaturing library - headers
 NaCl (pronounced "salt") is a new easy-to-use high-speed software library for
 network communication, encryption, decryption, signatures, etc.
 .
 NaCl's goal is to provide all of the core operations needed to build
 higher-level cryptographic tools.
 .
 Sodium is a portable, cross-compilable, installable, packageable fork of NaCl,
 with a compatible API.
 .
 This package provides development headers needed for applications that use
 libsodium.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf -Bbuild --parallel

## libsodium 1.0.17

=== debian/changelog ===
libsodium (1.0.17-1) unstable; urgency=medium

  * New upstream release.
  * Update libsodium23.symbols .
  * Don't specify parallel to debhelper.
  * Update watch file.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Jan 2019 18:51:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Build-Depends: debhelper ( >= 11), pkg-config
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Git: git://github.com/gcsideal/debian-libsodium
 Vcs-Browser: https://github.com/gcsideal/debian-libsodium
-Homepage: http://www.libsodium.org/
+Homepage: https://www.libsodium.org/
 
 Package: libsodium23
 Depends: ${misc:Depends}, ${shlibs:Depends}

## libsodium 1.0.18

=== debian/changelog ===
libsodium (1.0.18-1) unstable; urgency=medium

  * New upstream release.
  * Update libsodium23.symbols .
  * Refer CC0 license via path in common licenses (closes: #882633).
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 Aug 2019 11:58:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper ( >= 11), pkg-config
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: git://github.com/gcsideal/debian-libsodium
 Vcs-Browser: https://github.com/gcsideal/debian-libsodium
 Homepage: https://www.libsodium.org/

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf -Bbuild --parallel
+	dh $@ --with autoreconf -Bbuild

=== debian/watch ===
version=4
opts="filenamemangle=s/^.*\/(.*)/libsodium-$1/" \
	https://github.com/jedisct1/libsodium/tags .*/(\d[\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libsodium 1.0.19

=== debian/changelog ===
libsodium (1.0.19-1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Library transition to version 26 of soname.
  * Update libsodium26.symbols .
  * Update watch file.
  * Use no for Rules-Requires-Root.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 15 Sep 2023 08:08:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libsodium
 Section: libs
 Priority: optional
-Build-Depends: debhelper ( >= 11), pkg-config
+Build-Depends: debhelper-compat (= 13), pkg-config
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: git://github.com/gcsideal/debian-libsodium
 Vcs-Browser: https://github.com/gcsideal/debian-libsodium
 Homepage: https://www.libsodium.org/
 
-Package: libsodium23
+Package: libsodium26
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
@@ -25,7 +26,7 @@
 
 Package: libsodium-dev
 Section: libdevel
-Depends: ${misc:Depends}, libsodium23 (= ${binary:Version})
+Depends: ${misc:Depends}, libsodium26 (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Description: Network communication, cryptography and signaturing library - headers

=== debian/watch ===
version=4
opts="filenamemangle=s/^.*\/(.*)/libsodium-$1/" \
	https://github.com/jedisct1/libsodium/tags .*/(\d[\d\.]*)@ARCHIVE_EXT@

## libsodium 1.0.20

=== debian/changelog ===
libsodium (1.0.20-1) experimental; urgency=medium

  * New upstream release (closes: #1098271).
  * Update libsodium26.symbols .
  * Switch pkg-config dependency to pkgconf.
  * Remove now redundant Rules-Requires-Root value.
  * Update watch file.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 07 Nov 2025 22:07:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: libsodium
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 13), pkg-config
+Build-Depends: debhelper-compat (= 13), pkgconf
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: git://github.com/gcsideal/debian-libsodium
 Vcs-Browser: https://github.com/gcsideal/debian-libsodium
 Homepage: https://www.libsodium.org/

=== debian/watch ===
Version: 5

Template: Github
Owner: jedisct1
Project: libsodium
Uversion-Mangle: s/-RELEASE$//;s/(\d)[_\.\-\+]?((?:RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/
